### Getting Started

* [[Home]]
* What is [[Phundament]]?
* [[Requirements]]
* [[Setup]]
* [[Installation]]
* [[Features]]

### Standard App

* Application [[Backend]]
* [[Content Management]]
* [[Pages]]
* [[Media]]
* [[Templates]]
* [[Widgets]] 
* [[Ckeditor]] Templates
* [[Themes]]
* [[User Management]]
* [[Authentication and Authorization]]

### Extending Phundament

* Style customization [[LESS]] Compiler
* Creating Admin Interface [[CRUD]]s
* Adding extension packages with [[Composer]] 

### Development

* [Class Reference](http://docs.phundament.com/3.0) - API Docs
* [[Cheat Sheet]]
* [[Develop]] your application with git
* Using [[git hooks]]
* Development with composer [[Packages]]
* [[Testing]] with codeception
* Database maintenance with [[Migrations]]
* Media file synchonization with [[Rsync]]
* [[Performance]] Tuning

### Special Topics

* Widget [[Skins]]
* [[SEO]]
* Using [[Bootstrap]] LESS and CSS
* [[Backend Translations]]
* Extension [[Conventions]]
* Fixing Yii [[Extensions]] without modifying their code
* [Upgrading](https://github.com/phundament/app/blob/master/UPGRADE.md) from previous versions
* [[FAQ]] Frequently asked questions
* Get [[Support]]

### Links

#### Friends

* [Crisu](https://github.com/Crisu83)
* [2amigos](https://github.com/2amigos)
* [motin](https://github.com/motin)
* [Mike](https://github.com/mikehaertl)

#### Wireframing: Snippets, Templates, Examples

* [Layoutit!](http://www.layoutit.com) - Layout Builder
* [Phundament Gists](Gists) - Code Snippets
* [Bootsnipp](http://bootsnipp.com) - Code Snippets
* [Bootsnipp Button Builder](https://bootsnipp.com/buttons) - Bootstrap Buttons
* [Bootstrap Resources](https://bootsnipp.com/resources) - Templates, Generators, Extensions, Forms, ..
* [Boottheme](http://www.boottheme.com)
* [Bootstrap Examples](http://twitter.github.com/bootstrap/getting-started.html#examples)
* [Bootswatch](http://bootswatch.com)
* [Lavish](http://www.lavishbootstrap.com)
* [Kickstrap](http://getkickstrap.com)
* [Bootply](http://bootply.com) - Snippets and Playground


#### Background Information

* [[Glossary]]
* Cheatsheet of Phundament [[Internals]]
* [Yii Definitive Guide](http://www.yiiframework.com/doc/guide/)
* [Semantic Versioning](http://semver.org)

#### History

*  [Development Discussion](http://www.yiiframework.com/forum/index.php?/topic/17591-planning-yii-cms-a-different-approach/)
* [[How Phundament works|How it works]] - based on an article written for Yii Framework
